org.glassfish.jersey.spi

## Interface HeaderDelegateProvider<T>

Type Parameters:
  `T` - the type of the header.

All Superinterfaces:
  jakarta.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>

    @Contract
    public interface HeaderDelegateProvider<T>
    extends jakarta.ws.rs.ext.RuntimeDelegate.HeaderDelegate<T>

A provider that supports the conversion of an HTTP header, of type T, to and from a `String`.

An implementation (a service-provider) identifies itself by placing a provider-configuration file (if not already present), "org.glassfish.jersey.header.spi.HeaderDelegateProvider" in the resource directory `META-INF/services`, and including the fully qualified service-provider-class of the implementation in the file.

Author:
  Paul Sandoz, Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `supports(Class<?> type)` Ascertain if the Provider supports a particular type.

### Methods inherited from interface jakarta.ws.rs.ext.RuntimeDelegate.HeaderDelegate

`fromString, toString`

### Method Detail

#### supports

    boolean supports(Class<?> type)

Ascertain if the Provider supports a particular type.

Parameters:
  `type` - the type that is to be supported.
Returns:
  true if the type is supported, otherwise false.